#ifndef XAUDIOSOUND_H
#define XAUDIOSOUND_H

#include "xasset.h"
#include "xaudiopacketaligned.h"
#include "xaudioseektable.h"
#include "xaudiosourceformat.h"
#include "xaudioxmadatainfo.h"

class XAudioSound : public XAsset
{
public:
    XAudioSound();
    ~XAudioSound();

    virtual void ParseData(XDataStream* aStream) override;
    virtual void Clear() override;

private:
    XAudioPacketAligned mPacket;
    XAudioSourceFormat mFormat;
    XAudioXmaDataInfo mXmaDataInfo;
    XAudioSeekTable mSeekTable;
};

#endif // XAUDIOSOUND_H
